VirtualBox

Ticket #16354 (closed defect: fixed)

Opened 5 years ago

Last modified 5 years ago

configure fails with Qt 5.7 due to lack of compiler flag

Reported by: guanx Owned by:
Component: other Version: VirtualBox 5.1.12
Keywords: Qt C++11 Cc:
Guest type: other Host type: other

Description

configure cannot detect Qt 5.7.x successfully due to lack of the compiler flag "-std=c++11". gcc version: 4.8.x.

Change History

comment:1 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

Thanks. We've added an exception to the configure script in r65356. As far as I know, older versions than gcc 4.8 do not properly support the C++11 standard and gcc 4.9 or later do not need this switch, at least not for detecting Qt5.7. This change will be part of the next 5.1.x maintenance release.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use